Check geometries crashing QGIS 3.6

2019-03-19 07:56 PM - Pedro Henrique Caldeira Caliari

Status: Feedback

Priority: High

Assignee:

Category: C++ plugins/Geometry Checker

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29435

Description

After running Check Geometries on QGIS 3.6, even by selecting a single vector layer or some of it's features, QGIS is crashing. When it

has a considerable amount of errors, a "QGIS has crashed" window appears, while with a "small" amount of errors (230 or so), the

algorithm might run normally and then QGIS crashes in less than a minute. Could it be that I'm using layers and files from a QGIS 2.x

material? (if I run on all the layers, about 30k errors are reported and 350k+ errors are given as fixed/processed)

If Check Geometries shouldn't be used for layers containing many errors, which tool should I use in it's place for fixing common geometry

errors?

History

#1 - 2019-03-20 01:34 PM - Giovanni Manghi

- Category changed from Geometry to C++ plugins/Geometry Checker

- Status changed from Open to Feedback

- Priority changed from Normal to High

Please attach sample data and the exact specific configurations you are using in the geometry checker.

#2 - 2019-03-20 06:45 PM - Pedro Henrique Caldeira Caliari

- File Roads.7z added

Giovanni Manghi wrote:

Please attach sample data and the exact specific configurations you are using in the geometry checker.

Input vector layers: only the attached layer.

Allowed geometries: line, multiline;

Geometry validity : duplicate nodes;

Geometry properties: none;

Geometry conditions: none;

Topology checks: check for duplicates;

Tolerance: 1e-6

Output: ESRI shapefile on temp directory

#3 - 2019-03-21 01:55 PM - Giovanni Manghi
- Operating System deleted (Windows 10)

- Status changed from Feedback to Open

Confirmed here also on Linux.

#4 - 2019-03-28 09:37 AM - Giovanni Zanoni

I am getting the same issue with QGIS 3.6 (and 3.4) even with a clean profile. It's ok in QGIS 3.2

#5 - 2019-03-28 10:07 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#6 - 2019-03-29 05:01 PM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

I cannot reproduce with test data on master/Linux Ubuntu 18.10

#7 - 2019-04-02 09:22 AM - Giovanni Zanoni

Fresh installation (3.6.1) but no way out (ok in 3.2). Check geometry plugin (with quite big dataset) makes QGis crash on Windows 10

#8 - 2019-04-02 01:46 PM - Giovanni Manghi

- Status changed from Open to Feedback

No more problems, with the provided dataset, here now on 3.6.1 on linux.

#9 - 2019-04-02 01:49 PM - Giovanni Manghi

Giovanni Manghi wrote:

No more problems, with the provided dataset, here now on 3.6.1 on linux.

spoke too soon: it still crashes. It does when clicking on "ok" after the tool has fixed all the errors found.

does the same happens on 2.18? can anyone test?

Files

Roads.7z 39 KB 2019-03-20 Pedro Henrique Caldeira Caliari
